#RequireAdmin
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Icons\icon.ico
#AutoIt3Wrapper_Res_requestedExecutionLevel=requireAdministrator
#AutoIt3Wrapper_Run_Tidy=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
;License Information------------------------------------
;Copyright (C) 2019 Andrew Calcutt
;This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; Version 2 of the License.
;This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
;You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
;--------------------------------------------------------
;AutoIt Version: v3.3.15.1
$Script_Author = 'Andrew Calcutt'
$Script_Name = 'Update Manufactures'
$Script_Website = 'http://www.Vistumbler.net'
$Script_Function = 'Creates Manufacturer.mdb using macmanuf.exe'
$version = 'v4'
$date = '2018/09/07'
;--------------------------------------------------------
#include <File.au3>
#include "UDFs\FileInUse.au3"

Dim $TmpDir = @TempDir & '\Vistumbler\UpdateManufactures\'
DirRemove($TmpDir, 1)
DirCreate($TmpDir)

Dim $ManufMacEXE = $TmpDir & "\macmanuf.exe" ;script to create Manufactures.mdb based on ieee.org oui.txt
Dim $Temp_ManuDB = $TmpDir & "Manufacturers.mdb" ;Vistumbler Manufacturer mdb file (generated by manufmac.exe)
Dim $ManuDB = @ScriptDir & "\Settings\" & "Manufacturers.mdb" ;Destination Manufacturer mdb file (Vistumbler Settings Directory)

;manufacturer script to temp dir
FileInstall("macmanuf.exe", $TmpDir, 1)

;Run script to get manuactures
RunWait($ManufMacEXE, $TmpDir)

;Read Geneated Manufactures.mdb from macmanuf.exe
If FileExists($Temp_ManuDB) Then
	$mdboverwrite = MsgBox(4, "Done", "A new Manufactures.mdb has been created. Would you like to overwrite the old vistumbler Manufactures.mdb?")
	If $mdboverwrite = 6 Then
		While 1
			If _FileInUse($ManuDB) = 1 Then
				$updatemsg = MsgBox(1, 'Error', 'The vistumbler Manufacturers.mdb seems to be in use. Verify that vistumbler is closed and click "OK" to continue')
				If $updatemsg = 2 Then ExitLoop
			EndIf
			$fms = FileMove($Temp_ManuDB, $ManuDB, 1)
			If $fms = 1 Then
				RunWait(@ComSpec & ' /c ' & 'icacls.exe "' & $ManuDB & '" /inheritance:e', @SystemDir, @SW_HIDE)
				$updatemsg = MsgBox(4, "Done", "Done. Would you like to load vistumbler?")
				If $updatemsg = 6 Then Run(@ScriptDir & '\Vistumbler.exe')
				ExitLoop
			Else
				$updatemsg = MsgBox(4, "Error", "An error occured copying Manufacturers.mdb. Would you like to try again?")
				If $updatemsg = 7 Then ExitLoop
			EndIf
		WEnd
	EndIf
EndIf

;Cleanup Files
DirRemove($TmpDir, 1)
